Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CollisionHandlerFloor Class Reference

A specialized kind of CollisionHandler that sets the Z height of the collider to a fixed linear offset from the highest detected collision point each frame. More...

Inheritance diagram for CollisionHandlerFloor:

List of all members.

## Public Member Functions
| CollisionHandlerFloor ()
float | getMaxVelocity ()
| Retrieves the maximum speed at which the object will be allowed to descend towards a floor below it, in units per second.
float | getOffset ()
| Returns the linear offset to add to (or subtract from) the highest detected collision point to determine the actual height at which to set the collider.
float | getReach ()
| Returns the reach to add to (or subtract from) the highest collision point.
| setMaxVelocity (float max_vel)
| Sets the maximum speed at which the object will be allowed to descend towards a floor below it, in units per second.
| setOffset (float offset)
| Sets the linear offset to add to (or subtract from) the highest detected collision point to determine the actual height at which to set the collider.
| setReach (float reach)
| Sets the reach to add to (or subtract from) the highest collision point.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A specialized kind of CollisionHandler that sets the Z height of the collider to a fixed linear offset from the highest detected collision point each frame.

It's intended to implement walking around on a floor of varying height by casting a ray down from the avatar's head.

## Constructor & Destructor Documentation

CollisionHandlerFloor | ( |  | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CollisionHandlerPhysical.

float getMaxVelocity | ( |  | ) |

Retrieves the maximum speed at which the object will be allowed to descend towards a floor below it, in units per second.

See set_max_velocity().

float getOffset | ( |  | ) |

Returns the linear offset to add to (or subtract from) the highest detected collision point to determine the actual height at which to set the collider.

float getReach | ( |  | ) |

Returns the reach to add to (or subtract from) the highest collision point.

setMaxVelocity | ( | float | max_vel | ) |

Sets the maximum speed at which the object will be allowed to descend towards a floor below it, in units per second.

Set this to zero to allow it to instantly teleport any distance.

setOffset | ( | float | offset | ) |

Sets the linear offset to add to (or subtract from) the highest detected collision point to determine the actual height at which to set the collider.

setReach | ( | float | reach | ) |

Sets the reach to add to (or subtract from) the highest collision point.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties